Package ej.bluetooth

## Class BluetoothProperties

- java.lang.Object
- - ej.bluetooth.BluetoothProperties

-     public class BluetoothProperties
      extends Object

  The `BluetoothProperties` class enumerates the values for characteristic properties.

  Multiple flags may be combined to create a set of properties.

  Characteristic properties are not used to control access to the characteristic. The properties are only used as an indication to the client on how this characteristic may be used.

  Refer to "Core Specification Vol 3, Part G, 3.3.1.1 Characteristic Properties".

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `BROADCAST` | Indicates that the characteristic value may be broadcasted in advertisement data.
    `static byte` | `EXTENDED` | Indicates that additional properties are defined in the Characteristic Extended Properties descriptor.
    `static byte` | `INDICATE` | Indicates that the characteristic supports indications.
    `static byte` | `NONE` | No property.
    `static byte` | `NOTIFY` | Indicates that the characteristic supports notifications.
    `static byte` | `READ` | Indicates that the characteristic value may be read.
    `static byte` | `WRITE` | Indicates that the characteristic value may be written.
    `static byte` | `WRITE_NO_RESPONSE` | Indicates that the characteristic value may be written (using write without response procedure).
    `static byte` | `WRITE_SIGNED` | Indicates that the characteristic value may be written (using signed write procedure).

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BluetoothProperties()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final byte NONE

      No property.
      See Also:
        Constant Field Values

    - #### BROADCAST

          public static final byte BROADCAST

      Indicates that the characteristic value may be broadcasted in advertisement data.
      See Also:
        Constant Field Values

    - #### READ

          public static final byte READ

      Indicates that the characteristic value may be read.
      See Also:
        Constant Field Values

    - #### WRITE_NO_RESPONSE

          public static final byte WRITE_NO_RESPONSE

      Indicates that the characteristic value may be written (using write without response procedure).
      See Also:
        Constant Field Values

    - #### WRITE

          public static final byte WRITE

      Indicates that the characteristic value may be written.
      See Also:
        Constant Field Values

    - #### NOTIFY

          public static final byte NOTIFY

      Indicates that the characteristic supports notifications.
      See Also:
        Constant Field Values

    - #### INDICATE

          public static final byte INDICATE

      Indicates that the characteristic supports indications.
      See Also:
        Constant Field Values

    - #### WRITE_SIGNED

          public static final byte WRITE_SIGNED

      Indicates that the characteristic value may be written (using signed write procedure).
      See Also:
        Constant Field Values

    - #### EXTENDED

          public static final byte EXTENDED

      Indicates that additional properties are defined in the Characteristic Extended Properties descriptor.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BluetoothProperties

          public BluetoothProperties()